Updated Danish translation
[tbo.git] / configure.ac
1 AC_PREREQ(2.60)
2 AC_INIT([tbo], [0.98], [dani@danigm.net])
3 AC_CONFIG_AUX_DIR([build])
4 AM_INIT_AUTOMAKE([1.9.6 -Wall -Werror dist-bzip2])
5
6 GNOME_COMMON_INIT
7
8 AC_PROG_CC
9 # Compiling sources with per-target flags requires AM_PROG_CC_C_O
10 AM_PROG_CC_C_O
11 AC_PROG_INSTALL
12 AC_PROG_LIBTOOL
13
14 AM_PATH_GTK_2_0([2.10.0],,AC_MSG_ERROR([Gtk+ 2.10.0 or higher required.]))
15 PKG_CHECK_MODULES(PACKAGE, "gtk+-2.0 cairo librsvg-2.0")
16
17 # *******************************
18 # Internationalization
19 # *******************************
20
21 AC_PROG_INTLTOOL
22 GETTEXT_PACKAGE=tbo
23 AC_SUBST([GETTEXT_PACKAGE])
24 AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
25 AM_GLIB_GNU_GETTEXT
26
27 AC_CONFIG_HEADERS([config.h])
28 AC_CONFIG_FILES([
29     Makefile
30     src/Makefile
31     data/Makefile
32     data/doodle/Makefile
33     po/Makefile.in
34 ])
35
36 AC_OUTPUT